Package wx :: Class PowerEvent

[frames | no frames]

## Type PowerEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
                    PowerEvent

wx.PowerEvent is generated when the system online status changes. Currently this is only implemented for Windows.

Method Summary
PowerEvent | ``__init__`(self, evtType)` wx.PowerEvent is generated when the system online status changes.
bool | `IsVetoed(self)`
| `Veto(self)`

Property Summary
| `thisown`: The membership flag

Method Details

### __init__(self, evtType)
(Constructor)

wx.PowerEvent is generated when the system online status changes. Currently this is only implemented for Windows.

  Parameters:
    `evtType`
    (type=EventType)

  Returns:
    PowerEvent
  Overrides:
    `wx.Event.__init__`

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:53 2007 | http://epydoc.sf.net